#include "esp32Eeprom.hpp"

namespace firewall
{
    Storage::Storage(const uint16_t eeprom_size)
    {
        this->eeprom_size = eeprom_size;
        EEPROM.begin(this->eeprom_size);
        set_amount_of_firewall_rules(EEPROM.read(this->settings_head));
        log_i("Amount of Rules: %i", get_amount_of_firewall_rules());
    }

    Storage::~Storage()
    {
    }

    uint8_t Storage::get_amount_of_firewall_rules()
    {
        return this->amount_of_rules;
    }

    void Storage::set_amount_of_firewall_rules(const uint8_t new_amount)
    {
        this->amount_of_rules = new_amount;
    }
}
